<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fashion Blogs
 */
?>

<div class="col-lg-6 col-md-6 col-sm-6">
    <article id="post-<?php the_ID(); ?>" <?php post_class('article-box'); ?>>
        <?php if ( has_post_thumbnail() ) { ?><?php fashion_blogs_post_thumbnail(); ?><?php }?>
        <div class="entry-summary p-3 m-0">
            <a href="<?php the_permalink(); ?>" class="mb-2 d-block text-uppercase postcat-name"><?php $caty = get_the_category(); echo esc_html( $caty[0]->cat_name); ?></a>
            <?php the_title('<h3 class="entry-title pb-3"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>');?>
            <p><?php echo wp_trim_words( get_the_content(), 30 ); ?></p>
            <div class="meta-info-box mb-2">
                <span class="entry-author"><?php esc_html_e('BY','fashion-blogs'); ?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?></a></span>
                <span class="ml-2"></i><?php echo esc_html(get_the_date()); ?></span>
            </div>
            <a href="<?php the_permalink(); ?>" class="btn-text"><?php esc_html_e('Read More','fashion-blogs'); ?></a>
        </div>
    </article>
</div>